<template>
  <div class="m-4">
     <div class="aticle-header d-flex align-items-center m-2">
      <div class="aticle-title m-0 d-flex">
        <h3>List Team</h3>
        <span>
          <div
            class="btn btn-primary box-new"
            data-toggle="modal"
            data-target="#createEditTeamModal"
            @click="createTeam()"
          >
            <font-awesome-icon far icon="plus" />
          </div>
        </span>
        <span>
          <div 
          @click="getListTeam()"
           class="btn btn-outline-primary box-refresh"
            ><font-awesome-icon far icon="redo-alt"
          /></div>
        </span>
      </div>
    </div>
    <TeamList :listTeam="listTeam" v-on:on-edit-team="getIdTeam"></TeamList>
    <TeamCreateEdit :idEditTeam="idEditTeam" v-on:on-create-team-success="getListTeam" v-on:on-edit-team-success="getListTeam" ></TeamCreateEdit>
  </div>
</template>

<script>
import TeamList from '~/components/team/TeamList.vue'
import { API_TEAM } from '~/assets/contants/contant.js'

export default {
  components: { TeamList },
  data() {
    return {
      listTeam: [],
      idEditTeam: null,
    }
  },
  methods: {
    async getListTeam() {
      this.listTeam = await this.$axios.$get(API_TEAM)
    },
      getIdTeam(idTeam) {
        this.idEditTeam = idTeam;
    },

    createTeam() {
      this.idEditTeam = null; 
    }
    // async reloadPage() {
    //   this.teamList = await this.$axios.$get(API_TEAM)
    // },

  },
  mounted() {
    this.getListTeam();
  }
}
</script>

<style>
.blog-list {
  background: #f0f3f5;
}
.breadcrumb {
  background: transparent;
}
</style>
